package com.jwipc.shopping.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jwipc.shopping.entity.ShoppingPay;
import com.jwipc.shopping.mapper.ShoppingPayMapper;
import com.jwipc.shopping.model.po.ShoppingPayDetailPO;
import com.jwipc.shopping.model.query.ShoppingPayDetailQuery;
import com.jwipc.shopping.model.query.ShoppingPayQuery;
import com.jwipc.shopping.service.IShoppingPayService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 商城付款主表 服务实现类
 * </p>
 *
 * @author zx
 * @since 2024-04-10
 */
@Service
public class ShoppingPayServiceImpl extends ServiceImpl<ShoppingPayMapper, ShoppingPay> implements IShoppingPayService {
    @Override
    public List<ShoppingPayDetailPO> findPayDetail(ShoppingPayDetailQuery query){
      return   this.baseMapper.findPayDetail(query);
    }

    @Override
    public List<ShoppingPay> findShoppingPay(Page<ShoppingPay> page, ShoppingPayQuery query) {
        if (page==null){
            return baseMapper.findShoppingPay(query);
        }
        return baseMapper.findShoppingPay(page,query);
    }

    @Override
    public List<ShoppingPayDetailPO> selectPayExportData(ShoppingPayDetailQuery query) {
        return baseMapper.selectPayExportData(query);
    }
}
